@ECHO OFF
::========================================
::    gbsinit.bat [ --rel=<rel> ]
::    Generic invocation of GBS by means of 'gbs' command
::    - Set GBS_BASE_PATH
::    - call .gbs\setup.bat (which calls .gbs\profile.bat)
::    - generic call GBS_SCRIPTS_PATH/gbsinit.bat 
::========================================

::
::  Set GBS_BASE_PATH
::
for %%A in ("%APPDATA%") do set SHORT_APPDATA=%%~fsA
set GBS_BASE_PATH=%SHORT_APPDATA%\.gbs

::
::  Run setup (& profile)
::
call %GBS_BASE_PATH%\setup.bat

::
::  Execute Init
::
::echo GBSINIT_: GBS_SCRIPTS_PATH=%GBS_SCRIPTS_PATH%
%GBS_SCRIPTS_PATH%\gbsinit.bat %*
set rc=%ERRORLEVEL% 

:end
exit /B %rc%

:::EOF:::
