#===============================================================
#
#   gbshelp.pl
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================

print "*GBSHELP*\n" if ($ENV{GBSDEBUG_FILE});
use strict;
use integer;

use lib $ENV{GBS_SCRIPTS_PATH};
use glo::env;
use glo::genopt;
use gbsenv;
use run;














my $RC = 0;
GBSENV_init();




GENOPT_set_optdefs( 'gbshelp', undef,
'Present help on GBS in HTML browser',
undef);
GENOPT_parse();




RUN_browser( "$ENV{GBS_SCRIPTS_PATH}/doc/index.html");




ENV_exit( $RC);




sub END
{
ENV_print_end_msg( 1);
}

