@ECHO OFF
::========================================
::  define.bat [<rel>]
::  Called by the GBS shortcut, possibly with <rel> parameter
::  - Set GBS_BASE_PATH (and SHORT_APPDATA)
::  - define the gbs command to startup the proper session
::    e.g. gbs --rel=5.1
::  - execute the gbscmd - if present
::========================================

::
::  Set GBS_BASE_PATH (%SHORT_APPDATA%\.gbs)
::
for %%A in ("%APPDATA%") do set SHORT_APPDATA=%%~fsA
set GBS_BASE_PATH=%SHORT_APPDATA%\.gbs

::
::  Define 'gbs' command
::
doskey gbs=%GBS_BASE_PATH%\gbsinit.bat --rel=%1 $*
echo DEFINE_: gbs command defined. Type 'gbs' to startup GBS [%*]

::
::  Execute gbscmd.bat if it exist
::
set GBS_LOGIN_FILE="%GBS_BASE_PATH%\gbscmd.bat"
if exist %GBS_LOGIN_FILE% echo DEFINE_: Executing %GBS_LOGIN_FILE%...
if exist %GBS_LOGIN_FILE% call %GBS_LOGIN_FILE%
set GBS_LOGIN_FILE=

:end

:: **EOF**
